edu.ucsb.nceas.metacat

## Class PathIndexEntry

- java.lang.Object
- - edu.ucsb.nceas.metacat.PathIndexEntry

-     public class PathIndexEntry
      extends java.lang.Object

  PathIndexEntry contains all of the data fields needed to insert an path into the xml_index table or the xml_path_index table, depending on which constructor is used.
  Author:
    jones

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `docid`
    `protected java.lang.String` | `docType`
    `protected java.lang.String` | `nodeData`
    `protected java.sql.Timestamp` | `nodeDataDate`
    `protected float` | `nodeDataNumerical`
    `protected long` | `nodeId`
    `protected long` | `parentId`
    `protected java.lang.String` | `path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathIndexEntry(long nodeId, java.lang.String path, java.lang.String docid, long parentId, java.lang.String nodeData, float nodeDataNumerical, java.sql.Timestamp nodeDataDate)` Construct a new PathIndexEntry for the xml_path_index table.
    `PathIndexEntry(long nodeId, java.lang.String path, java.lang.String docid, java.lang.String docType, long parentId)` Construct a new PathIndexEntry for the xml_index table.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nodeId

          protected long nodeId

    - #### path

          protected java.lang.String path

    - #### docid

          protected java.lang.String docid

    - #### docType

          protected java.lang.String docType

    - #### parentId

          protected long parentId

    - #### nodeData

          protected java.lang.String nodeData

    - #### nodeDataNumerical

          protected float nodeDataNumerical

    - #### nodeDataDate

          protected java.sql.Timestamp nodeDataDate

  - ### Constructor Detail

    - #### PathIndexEntry

          public PathIndexEntry(long nodeId,
                                java.lang.String path,
                                java.lang.String docid,
                                java.lang.String docType,
                                long parentId)

      Construct a new PathIndexEntry for the xml_index table.
      Parameters:
        `nodeId` - the node identifier
        `path` - the path in the xml document
        `docid` - the document identifier
        `docType` - the document type
        `parentId` - the identifier of the parent node

    - #### PathIndexEntry

          public PathIndexEntry(long nodeId,
                                java.lang.String path,
                                java.lang.String docid,
                                long parentId,
                                java.lang.String nodeData,
                                float nodeDataNumerical,
                                java.sql.Timestamp nodeDataDate)

      Construct a new PathIndexEntry for the xml_path_index table.
      Parameters:
        `nodeId` - the node identifier
        `path` - the path in the xml document
        `docid` - the document identifier
        `docType` - the document type
        `parentId` - the identifier of the parent node
        `nodeData` - the node value as a string
        `nodeDataNumerical` - the node value as a double precision number

Copyright © 2023 Regents of the University of California. All Rights Reserved.